<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="initial-scale=1.0, user-scalable=no">
    <meta charset="utf-8">
    <title>Waypoints in directions</title>
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,600,300' rel='stylesheet' type='text/css'>
    <style>
        h1, h2, span, strong {  font-family: 'Open Sans', sans-serif; }
        strong { font-size:20px; }
    </style>
    <script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?sensor=false"></script>
    <script type="text/javascript">
        var location1 = new google.maps.LatLng(10.0175463, 76.34361489999999);
        var location2 = new google.maps.LatLng(10.0924665, 76.34563659999999);

        var location3 = new google.maps.LatLng(10.0175463, 76.34361489999999);
        var location4 = new google.maps.LatLng(10.0924665, 76.34563659999999);

        var map;
        var mapOptions = { center: new google.maps.LatLng(10.0597709, 76.3236549), zoom: 7,
        mapTypeId: google.maps.MapTypeId.ROADMAP };

        function initialize() {
        map = new google.maps.Map(document.getElementById("map_canvas"), mapOptions);
        directionsService = new google.maps.DirectionsService();
        directionsDisplay = new google.maps.DirectionsRenderer({
          suppressMarkers: false,
          suppressInfoWindows: true,
          polylineOptions: { strokeColor: "#7dbc00" }
        });
        directionsDisplay.setMap(map);

        var request = {
          origin: location1, 
          destination: location2,
          travelMode: google.maps.DirectionsTravelMode.DRIVING
        };
        directionsService.route(request, function(response, status) {
          if (status == google.maps.DirectionsStatus.OK) {
            directionsDisplay.setDirections(response);
            var route = response.routes[0];
            var summaryPanel = document.getElementById('directions-panel1');
            summaryPanel.innerHTML = '';
            // For each route, display summary information.
            summaryPanel.innerHTML += '<h2 style="">Suggested Route</h2>';
            for (var i = 0; i < route.legs.length; i++) {
              var routeSegment = i + 1;
              summaryPanel.innerHTML += '<strong>Route Segment: ' + routeSegment + '</strong><br>';
              summaryPanel.innerHTML += '<span>' + route.legs[i].start_address + ' to </span>';
              summaryPanel.innerHTML += '<span>' + route.legs[i].end_address + '</span><br>';
              summaryPanel.innerHTML += '<span>' + route.legs[i].distance.text + '</span><br><br>';
            }
          } else {
            window.alert('Directions request failed due to ' + status);
          }
        });


        //directionsService = new google.maps.DirectionsService();
        directionsDisplay2 = new google.maps.DirectionsRenderer({
          suppressMarkers: false,
          suppressInfoWindows: true,
          polylineOptions: { strokeColor: "#f42727" }
        });
        directionsDisplay2.setMap(map);
        
        var waypts = [];
        waypts.push({
            location: "10.0046042, 76.311062",
            stopover: true
          });
            waypts.push({
            location: "10.0287228, 76.30816589999999",
            stopover: true
          });
          waypts.push({
            location: "10.062602, 76.32558879999999",
            stopover: true
          });
        
        var request = {
          origin: location3, 
          destination: location4,
          waypoints: waypts,
          optimizeWaypoints: true,
          travelMode: google.maps.DirectionsTravelMode.DRIVING
        };
        directionsService.route(request, function(response, status) {
          if (status == google.maps.DirectionsStatus.OK) {
            directionsDisplay2.setDirections(response);
            var route = response.routes[0];
                var summaryPanel = document.getElementById('directions-panel2');
                summaryPanel.innerHTML = '';
                // For each route, display summary information.
                summaryPanel.innerHTML += '<h2>Travelled Route</h2>';
                for (var i = 0; i < route.legs.length; i++) {
                  var routeSegment = i + 1;
                  summaryPanel.innerHTML += '<strong>Route Segment: ' + routeSegment + '</strong><br>';
                  summaryPanel.innerHTML += '<span>' + route.legs[i].start_address + ' to </span>';
                  summaryPanel.innerHTML += '<span>' + route.legs[i].end_address + '</span><br>';
                  summaryPanel.innerHTML += '<span>' + route.legs[i].distance.text + '</span><br><br>';
                }
              } else {
                window.alert('Directions request failed due to ' + status);
              }
        });
        }
        google.maps.event.addDomListener(window, 'load', initialize);        
    </script>
  </head>
<body>
    <div style="width:96%; height:100%; float: left; margin-right: 25px; ">
        <div style="width:45%; height:100%; float: right;">
            <div id="directions-panel1" style="width:100%; height: 50%; clear: both; float: left; background: #7dbc00; padding: 0 25px 8px 25px; ">
            </div>
            <div id="directions-panel2" style="width:100%; height: 50%; clear: both; float: left; background: #f42727; padding: 0 25px 8px 25px;">
                
            </div>
        </div>
        <div id="map_canvas" style="width:45%; height:100%; float: left; position:absolute !important; margin-left: 25px;"></div>
    </div>
</body>
</html>
